/*
* Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
*
* Licensed under the Apache License, Version 2.0 (the License);
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an AS IS BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

#ifndef __DIRECTORY_INFO_H__
#define __DIRECTORY_INFO_H__


#include "ExtNameInfo.h"


class CDirectoryInfo : public CExtNameInfo {
private:
	struct SDirectoryInfo* m;

public:
	CDirectoryInfo() : m(0) {}
	virtual ~CDirectoryInfo() {}

	bool Create(EClassType type = CNameInfo::CLASS_TYPE_DIRECTORY);
	virtual void Destroy(void);

	bool  SetCount(int nCount);
	int   Count(void);

	virtual bool Duplicate(CNameInfo* obj);

	bool SetLoadInfo(filter_h filter, media_folder_h folder);
	virtual bool Load(void);
}; 


#endif /* __DIRECTORY_INFO_H__ */