#ifndef __FBBASE_VIEW_H__
#define __FBBASE_VIEW_H__


#include "ManagerUsb.h"


class CFbBaseView : public CBaseView, CUsbConnectionListener, CDbUpdateListener {
private:
	struct SFbBaseView* m;

public:
	// For grid
	void UpdateEmptyFocusSequence(void);
	void UpdatedGrid(void);
 	void UnsetFocus(void);
	void CbLinkApp( int type, int source_type, char *path);
	
protected:

	void t_CreateTopSession(void);
	void t_CreateLeftSession(void);
	void t_CreateGridView(void);

	void t_CreateFullView(void);

	void t_SetSelectedGroupButton(Evas_Object* obj);
	Evas_Object* t_SelectedGroupButton(void);

	virtual void t_OnShow(void);
	virtual void t_OnUpdate(void *data);
	virtual void t_OnHide(void);

public:
	CFbBaseView(const char *szViewId) : CBaseView(szViewId), m(0) {}
	virtual ~CFbBaseView() {}

	virtual bool Create(void *data);
	virtual void Destroy(void);
	virtual Evas_Object* Base(void);

public:

	virtual void OnConnect(void);
	virtual void OnUpdated(const SEntity *entity);
};


#endif /* __FBBASE_VIEW_H__ */
