/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __FBCONTEXT_VIEW_H__
#define __FBCONTEXT_VIEW_H__


class CContextView : public CBaseView {
private:
	struct SContextView* m;

	enum content_app_type {
		APP_LINKED,
		APP_OTHER,
	};
private:

	static void _lbl_start_slide(Evas_Object *lbl);
	static void _btn_focused(void *data, Evas_Object *obj, void *ev);
	static void _btn_unfocused(void *data, Evas_Object *obj, void *ev);

	static bool _add_btn_label(Evas_Object *btn, const char *txt);
	static bool _add_btn_icon(Evas_Object *btn, const char *icon);
	static bool _add_btn_info(Evas_Object *btn, const char *icon, const char *txt);
	static Evas_Object *_add_btnbox(Evas_Object *base);
	static bool _get_context_details(CExtNameInfo *pInfo, char **path, char **title, char *subtitle, char *subtitle2);
	static  Evas_Object *_add_rltv_ctnt(Evas_Object *obj, const char *name, const char *icon);
	static Evas_Object *_add_scroller(Evas_Object *base);
	static Evas_Object *_add_table(Evas_Object *base);
	static Evas_Object *_get_icon(Evas_Object *obj, CExtNameInfo *finfo);
	static void _set_default_thumb(Evas_Object *img, int type);
	static Evas_Object *_create_lbl(Evas_Object *ly, char *title);

	void m_SetBtnDownFocus(Evas_Object *btn);
	void m_SetLayoutFocusOrder(Evas_Object *btn);
	Evas_Object *m_AddButton(Evas_Object *base);
	bool m_AddTableContents(Evas_Object *table, Eina_List *list, enum content_app_type type);

	bool m_CreateContentApps(Eina_List *list, enum content_app_type type);
	bool m_CreateBtnsPart(void);
	bool m_CreateInfoPart(void);
	static void sm_CbKeyPressed(void *dt, Evas *e, Evas_Object *obj, void *ei);

protected:
	virtual void t_OnShow(void);
	virtual void t_OnHide(void);

public:
	CContextView(const char *szViewId) : CBaseView(szViewId), m(0) {}
	virtual ~CContextView() {}

	virtual bool Create(void *data);
	virtual void Destroy(void);
	virtual Evas_Object* Base(void);
};


#endif /*__FBCONTEXT_VIEW_H__*/
