/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __FILE_INFO_H__
#define __FILE_INFO_H__


#include <media_content.h>


class CFileInfo : public CExtNameInfo {
private:
	struct SFileInfo* m;

public:
	CFileInfo() : m(0) {}
	virtual ~CFileInfo() {}

	bool Create(void);
	virtual void Destroy(void);

	virtual bool Duplicate(CNameInfo* obj);
	
	bool SetLoadInfo(media_info_h handle);
	virtual bool Load(void);
};


#endif /*__FILE_INFO_H__*/