/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __MEDIA_DATA_H__
#define __MEDIA_DATA_H__


class CMediadata {
private:

	struct SMediadata* m;

public:

	CMediadata() : m(0) {}
	virtual ~CMediadata() { if (m) Destroy(); }
	bool FlagCreate(void) { return !!m; }

	bool Create(void);
	virtual void Destroy(void);

	bool GetMediaList(const char* pFolderId, int nMediaType, int nSourceType, Eina_List **ppList);
	bool GetFolderList(int nMediaType, int nSourceType, Eina_List **ppList);
};


#endif /*__MEDIA_DATA_H__*/
