/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEFINE_H__
#define __DEFINE_H__

/* LAYOUT */
#define FB_BASE_LAYOUT		"FB_BASE_LAYOUT"

/* TEXT */
#define NO_FILE_MESSAGE		"No File"
#define NO_FILE_MESSAGE_SUB	\
		"There is no file in selected source"
#define NO_PHOTO_MESSAGE		"No Photo"
#define NO_PHOTO_MESSAGE_SUB	\
		"There is no photo in selected source"
#define NO_VIDEO_MESSAGE		"No Video"
#define NO_VIDEO_MESSAGE_SUB	\
		"There is no video in selected source"
#define NO_MUSIC_MESSAGE		"No Music"
#define NO_MUSIC_MESSAGE_SUB	\
		"There is no music in selected source"

/* FONTS */
#define FONT_STYLE_REGULAR		"TizenSans"
#define FONT_STYLE_BOLD			"TizenSans:style=Bold"
#define FONT_STYLE_MEDIUM		"TizenSans:style=Medium"

/* GENERAL */
#define MAX_LENGTH			1024
#define FBR_TEXT_TITLE			"FILE BROWSER"
#define FBR_BTN_ID			"FBR_BTN_ID"
#define FBR_TEXT_LOADING		"Updating..."
#define FBR_TITLE_SLIDE_SPEED		(40.0)
#define RGB_FBR				126 128 255
#define RGBA_BLACK_BG                   0 0 0 (255*0.9)
#define RGBA_COLOR_BG                   RGB_FBR (255*0.25)

/* BASE VIEW MACROS */
#define BASE_VIEW_DATA			"BASE_VIEW_DATA"
#define FBR_BASE_VIEW			"FBR_BASE_VIEW"
#define FBR_PART_MEDIA_GRID		"FBR_PART_MEDIA_GRID"
#define FBR_PART_TITLE			"FBR_PART_TITLE"
#define FBR_PART_FBR_ICON		"FBR_PART_FBR_ICON"
#define FBR_PART_GROUPBTN_BOX		"FBR_PART_GROUPBTN_BOX"
#define FBR_PART_SOURCE_HOVERSEL	"FBR_PART_SOURCE_HOVERSEL"
#define FBR_PART_SORT_HOVERSEL		"FBR_PART_SORT_HOVERSEL"
#define FBR_PART_SORT_POPUP		"FBR_PART_SORT_POPUP"
#define FBR_PART_SOURCE_POPUP		"FBR_PART_SOURCE_POPUP"
#define FBR_PART_ELM_SWALLOWICON	"FBR_PART_ELM_SWALLOWICON"
#define FBR_PART_NO_CONTENT		"FBR_PART_NO_CONTENT"
#define FBR_PART_NO_CONTENT_SUB		"FBR_PART_NO_CONTENT_SUB"
#define FBR_PART_CONTENT		"FBR_PART_CONTENT"

#define FBR_CONTEXT_VIEW		"FBR_CONTEXT_VIEW"
#define FBR_CONTEXT_BTN			"FBR_CONTEXT_BTN"
#define FBR_CONTEXT_APP			"FBR_CONTEXT_APP"
#define FBR_IMAGE_CTXT_BG		"contextual_menu_bg.png"
#define FBR_IMAGE_CTXT_ITEM_BG		"focused_app_bg.png"
#define FBR_IMAGE_CTXT_BTNBG_NOR	"function_button_nor.png"
#define FBR_IMAGE_CTXT_BTNBG_FOC	"function_button_foc.png"
#define FBR_IMAGE_CTXT_APPBG		"app_ico_bg.png"
#define FBR_IMAGE_CTXT_OPEN		"ico_open.png"
#define FBR_PART_CTXT_ICON		"FBR_PART_CTXT_ICON"
#define FBR_PART_CTXT_TITLE		"FBR_PART_CTXT_TITLE"
#define FBR_PART_CTXT_SUBTITLE		"FBR_PART_CTXT_SUBTITLE"
#define FBR_PART_CTXT_SUBTITLE2		"FBR_PART_CTXT_SUBTITLE2"
#define FBR_PART_CTXT_BTNAREA		"FBR_PART_CTXT_BTNAREA"
#define FBR_PART_CTXT_LINK_TEXT		"FBR_PART_CTXT_LINK_TEXT"
#define FBR_PART_CTXT_LINK_AREA		"FBR_PART_CTXT_LINK_AREA"
#define FBR_PART_CTXT_REL_TEXT		"FBR_PART_CTXT_REL_TEXT"
#define FBR_PART_CTXT_REL_AREA		"FBR_PART_CTXT_REL_AREA"
#define FBR_PART_CTXT_BTNICON		"FBR_PART_CTXT_BTNICON"
#define FBR_PART_CTXT_BTNTEXT		"FBR_PART_CTXT_BTNTEXT"
#define FBR_PART_CTXT_BTNBG		"FBR_PART_CTXT_BTNBG"
#define FBR_PART_CTXT_RELCTNT_ICON	"FBR_PART_CTXT_RELCTNT_ICON"
#define FBR_PART_CTXT_RELCTNT_NAME	"FBR_PART_CTXT_RELCTNT_NAME"
#define FBR_DATA_TITLE_WIDTH		"FBR_DATA_TITLE_WIDTH"

	/* styles */
#define FBR_STYLE_GROUPBTN		"fbr_menubtn"
#define FBR_STYLE_WIN_FOCUS		"invisible"
#define FBR_STYLE_MEDIA_GRID		"fbr_mediagrid"
#define FBR_STYLE_THUMB			"noframe"
#define FBR_STYLE_SORT_BTN		"fbr_sortbtn"
#define FBR_STYLE_SOURCE_BTN		"fbr_sourcebtn"
#define FBR_STYLE_HOVER_ENTRY		"fbr_hover_entry"
#define FBR_STYLE_HOVER_CTXPOPUP	"fbr_common_popup"
#define FBR_STYLE_LOADING_POPUP		"loading"
#define FBR_STYLE_LOADING_LABEL		"popup/loading"
#define FBR_STYLE_LABEL			"slide_style_36"

/* SIGNAL MACROS */
#define FBR_SIGNAL_FOCUSED		"focused"
#define FBR_SIGNAL_UNFOCUSED		"unfocused"
#define FBR_SIGNAL_CLICKED		"clicked"
#define FBR_SIGNAL_ACTIVATED		"activated"
#define FBR_SIGNAL_SELECTED		"selected"
#define FBR_SIGNAL_REALIZED		"realized"
#define FBR_SIGNAL_UNREALIZED		"unrealized"
#define FBR_SIGNAL_GROUP_SELECTED	"FBR_SIGNAL_GROUP_SELECTED"
#define FBR_SIGNAL_GROUP_UNSELECTED	"FBR_SIGNAL_GROUP_UNSELECTED"
#define FBR_SIGNAL_CONTENT_CLICKED	"FBR_SIGNAL_CONTENT_CLICKED"
#define FBR_SIGNAL_BTN_CLICKED		"FBR_SIGNAL_BTN_CLICKED"

/* IMAGE FILES */
#define FBR_IMAGE_GRPBTN_ALL		"ico_filebrowser_all.png"
#define FBR_IMAGE_GRPBTN_PHOTO		"ico_filebrowser_photo.png"
#define FBR_IMAGE_GRPBTN_VIDEO		"ico_filebrowser_video.png"
#define FBR_IMAGE_GRPBTN_MUSIC		"ico_filebrowser_music.png"
#define FBR_IMAGE_ICON			"ico_filebrowser.png"
#define FBR_GROUPBTN_BG			"allbrowser_menu_bg.png"
#define FBR_IMAGE_BTN_NORMAL_BG		"btn_bg_round_stroke.png"
#define FBR_IMAGE_BTN_FOCUS_BG		"btn_bg_round_72x72.png"
#define FBR_IMAGE_DEFAULT_MUSIC		"ico_default_music_126.png"
#define FBR_IMAGE_DEFAULT_VIDEO		"ico_default_video_126.png"
#define FBR_IMAGE_DEFAULT_OTHER		"ico_default_other_126.png"
#define FBR_IMAGE_NORMAL_MUSIC		"ico_default_music_126_b.png"
#define FBR_IMAGE_NORMAL_VIDEO		"ico_default_video_126_b.png"
#define FBR_IMAGE_NORMAL_OTHER		"ico_default_other_126_b.png"
#define FBR_IMAGE_PULLDOWN_ARROW	"ico_pulldown_nor.png"
#define FBR_IMAGE_FOLDER		"ico_folder.png"
#define FBR_IMAGE_TICK			"ico_check_foc.png"
#define FBR_IMAGE_ROUND_ICON		"round_rectangle_4X4.png"
#define FBR_IMAGE_LOADING		"loading_48_01.png"
#define FBR_IMAGE_DEFAULT_APP		"ico_default.png"

/* SWALLOW  ICONS */
#define FBR_PART_ELM_SWALLOWICON	"FBR_PART_ELM_SWALLOWICON"
#define FBR_POPUP_SWALLOW_ICON		"elm.swallow.icon"

/* KEY DEFINES */
#define KEY_ENTER "Return"
#define KEY_EXIT  "XF86Close"

#endif /* __DEFINE_H__ */
