/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __I18N_H__
#define __I18N_H__

#include <libintl.h>

#define i18n_init() bindtextdomain(PACKAGE, LOCALEDIR)

#ifdef _
#undef _
#endif
#define _(s) dgettext(PACKAGE, s)
#define dgettext_noop(s) (s)

#ifdef N_
#undef N_
#endif
#define N_(s) dgettext_noop(s)

#endif /* __I18N_H__ */
