/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <stdlib.h>
#include <Eina.h>
#include <media_content.h>
//#include <usb-device.h>
#include "dbg.h"
#include "common.h"
#include "i18n.h"

#include "AppCommon.h"
#include "FileList.h"
#include "ExtNameInfo.h"
#include "Mediadata.h"
#include "MediadataImpl.h"

#define M ((CMediadataImpl*)m)

bool CMediadata::Create(void)
{
	if (m)
		return false;

	_CREATE_BEGIN{
		_CHECK(m = (SMediadata*)(new CMediadataImpl))
		_CHECK(M->Create())
		_WHEN_SUCCESS{

		}
		_CHECK_FAIL{ M->Destroy(); }
		_CHECK_FAIL{ delete M; m = NULL; }
	} _CREATE_END_AND_CATCH{ return false; }

	return true;
}

void CMediadata::Destroy(void)
{
	if (!m)
		return;

	M->Destroy();
	delete M;
	m = NULL;
}

bool CMediadata::GetMediaList(const char* folderid, int media_type, int source_type, Eina_List **list)
{
	if (!m)
		return false;

	return ((CMediadataImpl*)m)->GetMediaList(folderid, media_type, source_type, list);
}

bool CMediadata::GetFolderList(int media_type, int source_type, Eina_List **list)
{
	if (!m)
		return false;

	return ((CMediadataImpl*)m)->GetFolderList(media_type, source_type, list);
}
