#ifndef __MEDIA_DATA_IMPL_H__
#define __MEDIA_DATA_IMPL_H__


class CMediadataImpl : protected CFileList {
private:

	struct SMediadataImpl* m;

private:

	static bool sm_CbMediaInfo(media_info_h media, void *data);
	bool m_OnMediaInfo(media_info_h media);

	static bool sm_CbFolderInfo(media_folder_h folder, void* data);
	bool m_OnFolderInfo(media_folder_h folder);

	bool m_CreateFilter(int source_type, int media_type);
	void m_DestroyFilter(filter_h filter);
		
	bool m_GetMediaList(const char *folderid);
	void m_GetFolderList(void);

	void m_UpdateFolderLists(void);

public:

	CMediadataImpl() : CFileList(E_GRP_MUSIC), m(0) {}
	virtual ~CMediadataImpl() { if (m) Destroy(); }
	bool FlagCreate(void) { return !!m; }

	bool Create(void);
	virtual void Destroy(void);

	bool GetMediaList(const char* folderid, int media_type, int source_type, Eina_List **list);
	bool GetFolderList(int media_type, int source_type, Eina_List **list);
};


#endif /* __MEDIA_DATA_IMPL_H__ */
