/*
* Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
*
* Licensed under the Apache License, Version 2.0 (the License);
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an AS IS BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

#include <Elementary.h>
#include <Eina.h>
#include <Ecore.h>
#include <utilX.h>
#include <aul.h>
#include "i18n.h"
#include "define.h"
#include "common.h"
#include "ExtNameInfo.h"
#include "Info.h"


struct SInfo {
	int group_index;
	int source_type;
	int sort_type;
};

static SInfo g_info;

void CInfo::SetGroupIndex(int index)
{
	g_info.group_index = index;
}

int CInfo::GroupIndex(void)
{
	return g_info.group_index;
}

void CInfo::SetSourceType(int source_type)
{
	g_info.source_type = source_type;
}

int CInfo::SourceType(void)
{
	return g_info.source_type;
}

void CInfo::SetSortType(int type)
{
	g_info.sort_type = type;
}

int CInfo::SortType(void)
{
	return g_info.sort_type;
}
